메인 콘텐츠로 건너뛰기
GET
/
v2
/
trade
/
{chain}
/
top-traders
거래 - 상위 트레이더
curl --request GET \
  --url https://api.chainstream.io/v2/trade/{chain}/top-traders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "buyAmount": "600000",
      "buyAmountInNative": "100.5",
      "buyAmountInUsd": "12000.50",
      "buyCount": 60,
      "sellAmount": "400000",
      "sellAmountInNative": "66.8",
      "sellAmountInUsd": "8000.30",
      "sellCount": 40,
      "tokenAddress": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
      "tradeAmount": "1000000",
      "tradeCount": 100,
      "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

특정 토큰에 대해 거래량 순으로 상위 거래자를 가져옵니다. 고래와 마켓 메이커 식별에 유용합니다.
관련: GraphQL DEX 거래 | MCP: trade_get_top_traders

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

경로 매개변수

chain
enum<string>
필수

지원되는 네트워크에 나열된 체인 이름 지원되는 블록체인

사용 가능한 옵션:
sol,
eth,
bsc

쿼리 매개변수

cursor
string

페이지네이션 커서

limit
integer<int64>
기본값:20

페이지당 결과 수

direction
enum<string>
기본값:next

페이지네이션 방향

사용 가능한 옵션:
next,
prev
tokenAddress
string
필수

토큰 주소

timeFrame
enum<string>

거래 필터링 기간 통계 시간 범위

사용 가능한 옵션:
30m,
1h,
2h,
4h,
6h,
8h,
12h,
24h
sortType
enum<string>
기본값:desc

거래 결과 정렬 유형 정렬 방향(대소문자 무관: "asc"/"ASC"/"Asc" 등 허용)

사용 가능한 옵션:
asc,
desc
sortBy
enum<string>
기본값:tradeAmount

거래 정렬 기준 필드 상위 트레이더 쿼리의 정렬 필드

사용 가능한 옵션:
tradeAmount,
tradeCount

응답

200 - application/json

성공 응답

범용 페이지네이션 응답

data
object[]
필수

페이지 데이터

endCursor
string | null

현재 페이지 끝 커서

예시:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

다음 페이지 존재 여부

예시:

false

hasPrev
boolean

이전 페이지 존재 여부

예시:

false

startCursor
string | null

현재 페이지 시작 커서

예시:

"eyJpZCI6InN0YXJ0In0="